# Copyright 2021-2023 H2020 TeraFlow (https://www.teraflow-h2020.eu/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apiVersion: apps/v1
kind: Deployment
metadata:
  name: monitoringservice
spec:
  selector:
    matchLabels:
      app: monitoringservice
  replicas: 1
  template:
    metadata:
      labels:
        app: monitoringservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: labs.etsi.org:5050/tfs/controller/monitoring:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 7070
        - containerPort: 9192
        env:
        - name: LOG_LEVEL
          value: "INFO"
        envFrom:
        - secretRef:
            name: qdb-data
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:7070"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:7070"]
        resources:
          requests:
            cpu: 50m
            memory: 64Mi
          limits:
            cpu: 500m
            memory: 512Mi
---
apiVersion: v1
kind: Service
metadata:
  name: monitoringservice
  labels:
    app: monitoringservice
spec:
  type: ClusterIP
  selector:
    app: monitoringservice
  ports:
  - name: grpc
    protocol: TCP
    port: 7070
    targetPort: 7070
  - name: metrics
    protocol: TCP
    port: 9192
    targetPort: 9192
